"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var checkbox_1 = require("../../../ts/views/inputs/checkbox");
var onClickSpy = sinon.spy();
ava_1.default('Clicking a disabled checkbox should not call its onclick handler', function (t) {
    var checkboxWrapper = enzyme_1.shallow(React.createElement(checkbox_1.default, { onClick: onClickSpy, disabled: true }));
    checkboxWrapper.find('.checkbox').simulate('click');
    t.is(onClickSpy.called, false);
});
ava_1.default('Disabled checkbox gets proper classnames', function (t) {
    var checkBoxWrapper = enzyme_1.shallow(React.createElement(checkbox_1.default, { disabled: true }));
    t.is(checkBoxWrapper.hasClass('checkbox-component-wrapper disabled'), true);
});
//# sourceMappingURL=checkbox.test.js.map