"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var number_input_1 = require("../../../ts/views/inputs/number-input");
var handleChangeSpy = sinon.spy();
ava_1.default('clicking the buttons on a disabled NumberInput has no effect', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(number_input_1.default, { value: 1, handleChange: handleChangeSpy, disabled: true }));
    wrapper.find('.up').first().simulate('click');
    t.is(handleChangeSpy.called, false);
});
ava_1.default('NumberInput cannot reach a value outside of the min/max range if there is one', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(number_input_1.default, { value: 1, handleChange: handleChangeSpy, max: 1, min: 1 }));
    wrapper.find('.up').first().simulate('click');
    wrapper.find('.down').first().simulate('click');
    t.is(handleChangeSpy.called, false);
});
ava_1.default('NumberInput handles increment / decrement appropriately', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(number_input_1.default, { value: 1, handleChange: handleChangeSpy }));
    wrapper.find('.up').first().simulate('click');
    t.is(handleChangeSpy.calledWith(2), true);
});
//# sourceMappingURL=number-input.test.js.map