"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var radio_button_1 = require("../../../ts/views/inputs/radio-button");
var onClickSpy = sinon.spy();
ava_1.default('Clicking a disabled radio button should not call the onClick', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(radio_button_1.default, { label: "One", disabled: true, onClick: onClickSpy, activeLabel: "Two" }));
    wrapper.simulate('click');
    t.is(onClickSpy.called, false);
});
ava_1.default('Clicking a radio button calls the onClick with the appropriate arg', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(radio_button_1.default, { label: "One", onClick: onClickSpy, activeLabel: "Two" }));
    wrapper.simulate('click');
    t.is(onClickSpy.calledWith('One'), true);
});
//# sourceMappingURL=radio-button.test.js.map