"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var textarea_1 = require("../../../ts/views/inputs/textarea");
var handleChangeSpy = sinon.spy();
ava_1.default('Textarea onChange doesnt get called if disabled, with correct classnames', function (t) {
    var value;
    var wrapper = enzyme_1.shallow(React.createElement(textarea_1.default, { value: value, disabled: true, onHandleChange: handleChangeSpy }));
    wrapper.find('.input-component').simulate('change', { target: { value: 'My new value' } });
    t.is(handleChangeSpy.called, false);
    t.is(wrapper.hasClass('input-container disabled'), true);
    t.is(wrapper.containsMatchingElement(React.createElement("textarea", { className: "input-component disabled" })), true);
});
ava_1.default('Textarea handles value changes properly, with correct classnames', function (t) {
    var value;
    var wrapper = enzyme_1.shallow(React.createElement(textarea_1.default, { value: value, onHandleChange: handleChangeSpy }));
    wrapper.find('.input-component').simulate('change', { target: { value: 'My new value' } });
    t.is(handleChangeSpy.called, true);
    t.is(wrapper.hasClass('input-container'), true);
    t.is(wrapper.containsMatchingElement(React.createElement("textarea", { className: "input-component" })), true);
});
//# sourceMappingURL=textarea.test.js.map