"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sinon = require("sinon");
var ava_1 = require("ava");
var enzyme_1 = require("enzyme");
var modal_1 = require("../../../ts/views/modals/modal");
var onCloseSpy = sinon.spy();
ava_1.default('Modal is not displaying when its not supposed to be showing', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(modal_1.default, { onClose: onCloseSpy, showing: false, wrapperClassName: "testName" }));
    t.is(wrapper.find('.showing').length < 1, true);
    t.is(wrapper.find('.testName').length === 1, true);
});
ava_1.default('Modal contains children passed in', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(modal_1.default, { onClose: onCloseSpy, showing: true },
        React.createElement("div", { className: "child-class" })));
    t.is(wrapper.find('.child-class').length === 1, true);
});
ava_1.default('Modal registers closeOnClick', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(modal_1.default, { onClose: onCloseSpy, showing: true, wrapperClassName: "testName" }));
    wrapper.find('.close-button').first().simulate('click');
    t.is(onCloseSpy.called, true);
});
//# sourceMappingURL=modal.test.js.map