"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sinon = require("sinon");
var ava_1 = require("ava");
var enzyme_1 = require("enzyme");
var breadcrumbs_1 = require("../../../ts/views/widgets/breadcrumbs");
ava_1.default('<BreadCrumbs /> will render right amount of buttons for <= 5 total pages ', function (t) {
    var path = [
        'First Level',
        'Second Level',
        'Third Level'
    ];
    var onClickSpy = sinon.spy();
    var elementWrapper = enzyme_1.shallow(React.createElement(breadcrumbs_1.default, { path: path, onClick: onClickSpy }));
    var crumbs = elementWrapper.find('.breadcrumb');
    // The number of crumb elements should equal the path length we passed in.
    t.is(crumbs.length, path.length);
    // Click the first one and make sure the onClick handler does it's thing
    elementWrapper.find('.label').first().simulate('click');
    t.is(onClickSpy.calledWith(0), true);
});
//# sourceMappingURL=breadcrumb.test.js.map