"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sinon = require("sinon");
var ava_1 = require("ava");
var enzyme_1 = require("enzyme");
var pill_1 = require("../../../ts/views/widgets/pill");
ava_1.default('Pill renders as expected and onClick gets called', function (t) {
    var onClickSpy = sinon.spy();
    var wrapper = enzyme_1.shallow(React.createElement(pill_1.default, { onClick: onClickSpy, type: "red", removeable: true }, 'Test Pill'));
    wrapper.simulate('click');
    t.is(onClickSpy.called, true);
    t.is(wrapper.hasClass('pill red removeable'), true);
});
ava_1.default('Pill onClick will not get called if no onClick passed in', function (t) {
    var onClickSpy = sinon.spy();
    var wrapper = enzyme_1.shallow(React.createElement(pill_1.default, { type: "red", removeable: false }, 'No onClick Gets called'));
    wrapper.simulate('click');
    t.is(onClickSpy.called, false);
});
//# sourceMappingURL=pill.test.js.map