"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var progress_dots_1 = require("../../../ts/views/widgets/progress-dots");
var onClickSpy = sinon.spy();
ava_1.default('ProgressDots get correct number of dots, as well as correct active step', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(progress_dots_1.default, { totalSteps: 3, currentStep: 2, stepOnClick: onClickSpy }));
    t.is(wrapper.hasClass('progress-dots-wrapper'), true);
    t.is(wrapper.find('.dot').length, 3);
    t.is(wrapper.find('.clickable').length, 2);
    t.is(wrapper.find('.active').length, 1);
});
ava_1.default('ProgressDots maintains only one current step after being clicked', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(progress_dots_1.default, { totalSteps: 3, currentStep: 2, stepOnClick: onClickSpy }));
    wrapper.find('.dot').first().simulate('click');
    t.is(onClickSpy.calledWith(0), true);
    t.is(wrapper.find('.clickable').length, 2);
    t.is(wrapper.find('.active').length, 1);
});
//# sourceMappingURL=progress-dots.test.js.map