"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ava_1 = require("ava");
var sinon = require("sinon");
var enzyme_1 = require("enzyme");
var progress_tabs_1 = require("../../../ts/views/widgets/progress-tabs");
var onClickSpy = sinon.spy();
var tabNames = ['one', 'two', 'three'];
ava_1.default('ProgressTabs get correct number of dots, as well as correct active step', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(progress_tabs_1.default, { tabNames: tabNames, currentTab: 2, tabOnClick: onClickSpy }));
    t.is(wrapper.hasClass('progress-tabs-wrapper'), true);
    t.is(wrapper.find('.tab').length, 3);
    t.is(wrapper.find('.clickable').length, 2);
    t.is(wrapper.find('.active').length, 1);
});
ava_1.default('ProgressTabs maintains only one current step after being clicked', function (t) {
    var wrapper = enzyme_1.shallow(React.createElement(progress_tabs_1.default, { tabNames: tabNames, currentTab: 2, tabOnClick: onClickSpy }));
    wrapper.find('.tab').first().simulate('click');
    t.is(onClickSpy.calledWith(0), true);
    t.is(wrapper.find('.clickable').length, 2);
    t.is(wrapper.find('.active').length, 1);
});
//# sourceMappingURL=progress-tabs.test.js.map