"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sinon = require("sinon");
var ava_1 = require("ava");
var enzyme_1 = require("enzyme");
var toast_1 = require("../../../ts/views/widgets/toast");
var wait = function (delay) {
    if (delay === void 0) { delay = 1000; }
    return new Promise(function (resolve) { return setTimeout(resolve, delay); });
};
ava_1.default('Toast works and closes after animation', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var onClose, wrapper;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                onClose = sinon.spy();
                wrapper = enzyme_1.shallow(React.createElement(toast_1.default, { onClose: onClose }, 'hi'));
                wrapper.find('.toast-dismiss').first().simulate('click');
                // Toast has received transition css classname, animates for 500ms then
                // calls the onClose prop.
                t.is(wrapper.hasClass('isClosing'), true);
                return [4 /*yield*/, wait()];
            case 1:
                _a.sent();
                t.is(onClose.calledOnce, true);
                return [2 /*return*/];
        }
    });
}); });
ava_1.default('Toast with timeout works', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var onClose, wrapper;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                onClose = sinon.spy();
                wrapper = enzyme_1.shallow(React.createElement(toast_1.default, { onClose: onClose, timeout: 500 }, 'hi'));
                return [4 /*yield*/, wait(2000)];
            case 1:
                _a.sent();
                // Should only be called once and automatically
                t.is(onClose.calledOnce, true);
                return [2 /*return*/];
        }
    });
}); });
ava_1.default('Toast works and cancels timeout when clicked', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var onClose, wrapper;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                onClose = sinon.spy();
                wrapper = enzyme_1.shallow(React.createElement(toast_1.default, { onClose: onClose, timeout: 5000 }, 'hi'));
                wrapper.find('.toast-dismiss').first().simulate('click');
                return [4 /*yield*/, wait(2500)];
            case 1:
                _a.sent();
                // Should only be called once
                t.is(onClose.calledOnce, true);
                return [2 /*return*/];
        }
    });
}); });
//# sourceMappingURL=toast.test.js.map