"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var IconLoader = /** @class */ (function () {
    function IconLoader() {
    }
    IconLoader.load = function (url) {
        return new Promise(function (resolve, reject) {
            if (IconLoader.icons[url] !== undefined) {
                resolve(IconLoader.icons[url]);
            }
            else if (IconLoader.loadCallbacks[url] !== undefined) {
                resolve(IconLoader.loadCallbacks[url].push(resolve));
            }
            else {
                IconLoader.loadCallbacks[url] = [resolve];
                IconLoader.loadFromServer(url, reject);
            }
        });
    };
    IconLoader.loadFromServer = function (url, onError) {
        var onSuccess = function (response) {
            var data = response.querySelector('svg')[0].outerHTML;
            IconLoader.icons[url] = data;
            // If multiple requests for this icon, resolve them
            IconLoader.loadCallbacks[url].forEach(function (callback) {
                callback(data);
            });
            delete IconLoader.loadCallbacks[url];
        };
        var requestInit = {
            method: 'GET',
            success: onSuccess,
            error: onError
        };
        var iconRequest = new Request("/icons/" + url, requestInit);
        fetch(iconRequest);
    };
    IconLoader.icons = {};
    IconLoader.loadCallbacks = {};
    return IconLoader;
}());
exports.default = IconLoader;
//# sourceMappingURL=icon-loader.js.map