"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var Dropdown = /** @class */ (function (_super) {
    __extends(Dropdown, _super);
    function Dropdown(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            searchText: '',
            results: props.options,
            isCollapsed: true
        };
        return _this;
    }
    Dropdown.prototype.onTextUpdate = function (evt) {
        if (!evt) {
            return;
        }
        var searchText = evt.target.value;
        if (!searchText) {
            return this.setState({
                searchText: '',
                results: this.props.options
            });
        }
        var results = this.props.options.filter(function (option) {
            return option.toLowerCase().includes(searchText.toLowerCase());
        });
        this.setState({
            searchText: searchText,
            results: results,
            isCollapsed: false
        });
    };
    Dropdown.prototype.selectOption = function (option) {
        var onOptionSelected = this.props.onOptionSelected;
        this.setState({ searchText: option, isCollapsed: true });
        if (onOptionSelected) {
            onOptionSelected(option);
        }
    };
    Dropdown.prototype.onFocus = function () {
        this.setState({ isCollapsed: false });
    };
    Dropdown.prototype.onBlur = function () {
        this.setState({ isCollapsed: true });
    };
    Dropdown.prototype.renderResults = function () {
        var _this = this;
        var _a = this.state, searchText = _a.searchText, results = _a.results, isCollapsed = _a.isCollapsed;
        var resultRenderer = this.props.resultRenderer;
        var resultElement;
        if (isCollapsed) {
            return null;
        }
        if (searchText && !results.length) {
            resultElement = React.createElement("div", { className: "dropdown-result-item" }, 'No results found!');
        }
        else {
            resultElement = results.map(function (r, i) {
                /*
                 * If the user of this widget passes in a custom render function for
                 * results, use that instead.
                 */
                if (resultRenderer) {
                    return resultRenderer(r);
                }
                return (React.createElement("div", { key: i, className: classnames('dropdown-result-item', { 'is-active': r === searchText }), onMouseDown: _this.selectOption.bind(_this, r) }, r));
            });
        }
        return (React.createElement("div", { className: "dropdown-results-wrapper" }, resultElement));
    };
    Dropdown.prototype.render = function () {
        var _a = this.props, wrapperClassName = _a.wrapperClassName, wrapperStyle = _a.wrapperStyle, inputClassName = _a.inputClassName, inputStyle = _a.inputStyle;
        var _b = this.state, searchText = _b.searchText, isCollapsed = _b.isCollapsed;
        return (React.createElement("div", { className: classnames('dropdown-wrapper', wrapperClassName), style: wrapperStyle },
            React.createElement("input", { className: classnames('dropdown', inputClassName, { 'is-collapsed': isCollapsed }), style: inputStyle, value: searchText, placeholder: "Dropdown ...", onChange: this.onTextUpdate.bind(this), onFocus: this.onFocus.bind(this), onBlur: this.onBlur.bind(this) }),
            React.createElement("div", { className: "dropdown-down-carat" },
                React.createElement("div", { className: "icon-chevron-down" })),
            this.renderResults()));
    };
    return Dropdown;
}(React.Component));
exports.default = Dropdown;
//# sourceMappingURL=dropdown.js.map