"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var Input = function (props) {
    var inputType = props.inputType, autoFocus = props.autoFocus, iconType = props.iconType, onSubmission = props.onSubmission, onHandleChange = props.onHandleChange, value = props.value, disabled = props.disabled, patternString = props.patternString, validationState = props.validationState, placeholder = props.placeholder, maxLength = props.maxLength, containerStyle = props.containerStyle, inputStyle = props.inputStyle, round = props.round, wrapperClassName = props.wrapperClassName, inputClassName = props.inputClassName;
    // If a pattern AND a validation state get passed in the pattern takes priority. (Shouldnt ever pass it both)
    var pattern = patternString ? new RegExp(patternString) : null;
    var isValid;
    if (patternString) {
        isValid = pattern.test(value);
    }
    else if (validationState) {
        isValid = validationState;
    }
    var inputContainerClass = classnames('input-container', wrapperClassName, { disabled: disabled });
    var inputClass = classnames('input-component', inputClassName, {
        disabled: disabled,
        valid: isValid,
        invalid: isValid === false && value.length > 0,
        round: round
    });
    var inputIcon = React.createElement("div", { className: iconType + " input-icon" });
    var onKeyPress = function (e) {
        if (e.key === 'Enter') {
            onSubmission();
        }
    };
    return (React.createElement("div", { className: inputContainerClass, style: containerStyle },
        React.createElement("input", { type: inputType, onChange: disabled ? null : onHandleChange, onKeyPress: onKeyPress, className: inputClass, maxLength: 150, disabled: disabled, pattern: patternString, value: value, placeholder: placeholder ? placeholder : null, style: inputStyle }),
        iconType ? inputIcon : null));
};
exports.default = Input;
//# sourceMappingURL=input.js.map