"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
// TODO:
// - Replace '^' with correct icons when theyre ready
// - Handle active logic for the icons
// - Handle logic for people typing in it, not sure how we want to yet.
// Dont let anything but numbers be typed? red border for invalid?
var NumberInput = function (props) {
    var value = props.value, disabled = props.disabled, max = props.max, min = props.min, placeholder = props.placeholder, handleChange = props.handleChange, className = props.className, style = props.style;
    var isValid = (max && min) && (value >= min) && (value <= max);
    var isInvalid = (max && min) && !isValid;
    var inputContainerClass = classnames('input-container number', className, { disabled: disabled });
    var inputClass = classnames('input-component number', {
        disabled: disabled,
        valid: isValid,
        invalid: isInvalid
    });
    var incrementButtonName = classnames('number-input-button up', { disabled: disabled });
    var decrementButtonName = classnames('number-input-button down', { disabled: disabled });
    function guardedIncrement() {
        var newValue = value + 1;
        if (max && min) {
            if (newValue > max) {
                return;
            }
        }
        handleChange(newValue);
    }
    function guardedDecrement() {
        var newValue = value - 1;
        if (max && min) {
            if (newValue < min) {
                return;
            }
        }
        handleChange(newValue);
    }
    return (React.createElement("div", { className: inputContainerClass },
        React.createElement("input", { className: inputClass, value: value, placeholder: placeholder, disabled: disabled, style: style }),
        React.createElement("div", { className: "number-input-button-wrapper" },
            React.createElement("div", { className: incrementButtonName, onClick: disabled ? null : guardedIncrement },
                React.createElement("div", { className: "icon-chevron-up" })),
            React.createElement("div", { className: decrementButtonName, onClick: disabled ? null : guardedDecrement },
                React.createElement("div", { className: "icon-chevron-down" })))));
};
exports.default = NumberInput;
//# sourceMappingURL=number-input.js.map