"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var RadioButton = function (props) {
    var activeLabel = props.activeLabel, label = props.label, wrapperClassName = props.wrapperClassName, disabled = props.disabled, onClick = props.onClick, style = props.style;
    var checked = label === activeLabel;
    var wrapperClass = classnames('radio-button-wrapper', wrapperClassName, { disabled: disabled });
    var labelClass = classnames('label', { checked: checked, disabled: disabled });
    var outerCircleClass = classnames('outer-circle', { checked: checked, disabled: disabled });
    var innerCircleClass = classnames('inner-circle', { checked: checked, disabled: disabled });
    return (React.createElement("div", { className: wrapperClass, onClick: disabled ? null : function () { return onClick(label); }, style: style },
        React.createElement("div", { className: outerCircleClass },
            React.createElement("div", { className: innerCircleClass })),
        React.createElement("div", { className: "label" }, "" + label)));
};
exports.default = RadioButton;
//# sourceMappingURL=radio-button.js.map