"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var Textarea = function (props) {
    var value = props.value, disabled = props.disabled, placeholder = props.placeholder, maxLength = props.maxLength, fixedSize = props.fixedSize, onSubmission = props.onSubmission, onHandleChange = props.onHandleChange, className = props.className, style = props.style;
    var inputContainerClass = classnames('input-container', className, { disabled: disabled });
    var textareaClassname = classnames('input-component', {
        disabled: disabled,
        fixedSize: fixedSize
    });
    return (React.createElement("div", { className: inputContainerClass },
        React.createElement("textarea", { className: textareaClassname, disabled: disabled, maxLength: 150, onChange: disabled ? null : onHandleChange, placeholder: placeholder ? placeholder : null, value: value, style: style })));
};
exports.default = Textarea;
//# sourceMappingURL=textarea.js.map