"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var icon_constants_1 = require("../../icons/icon-constants");
var Icon = function (props) {
    var pathName = props.pathName, size = props.size, className = props.className, style = props.style, color = props.color, hoverColor = props.hoverColor;
    var height;
    var width;
    switch (size) {
        case 'min':
            height = 16;
            width = 16;
            break;
        case 'reg':
            height = 24;
            width = 24;
            break;
        case 'big':
            height = 32;
            width = 32;
            break;
        default:
            break;
    }
    function mouseOver(e) {
        e.target.style.fill = hoverColor ? hoverColor : color;
    }
    function mouseOut(e) {
        e.target.style.fill = color;
    }
    return (React.createElement("svg", { height: height, width: width, viewBox: "0 0 " + width + " " + height },
        React.createElement("path", { d: icon_constants_1.default[pathName], fill: color, onMouseOver: mouseOver, onMouseOut: mouseOut })));
};
exports.default = Icon;
//# sourceMappingURL=icon.js.map