"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var Pill = function (props) {
    var type = props.type, removeable = props.removeable, children = props.children, onClick = props.onClick, onRemove = props.onRemove, className = props.className, active = props.active, title = props.title, style = props.style;
    var pillWrapperClass = classnames('pill', type, className, { removeable: removeable, active: active });
    var removeIcon = React.createElement("span", { className: "icon-x" });
    return (React.createElement("div", { className: pillWrapperClass, onClick: onClick ? onClick : null, style: style },
        children,
        React.createElement("span", { className: "pill-title" }, title),
        removeable ? React.createElement("div", { className: "icon-section", onClick: onRemove }, removeIcon) : null));
};
exports.default = Pill;
//# sourceMappingURL=pill.js.map