"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var ProgressDots = function (props) {
    var currentStep = props.currentStep, totalSteps = props.totalSteps, stepOnClick = props.stepOnClick, className = props.className, style = props.style;
    var dotElements = [];
    var _loop_1 = function (i) {
        var dotClass = classnames('dot', {
            active: i === currentStep,
            clickable: i !== currentStep,
            final: i === totalSteps - 1
        });
        dotElements.push(React.createElement("div", { className: dotClass, key: i, onClick: i === currentStep ? null : function () { return stepOnClick(i); }, style: style }));
    };
    for (var i = 0; i < totalSteps; i++) {
        _loop_1(i);
    }
    var containerClass = classnames('progress-dots-wrapper', className);
    return (React.createElement("div", { className: "progress-dots-wrapper" }, dotElements));
};
exports.default = ProgressDots;
//# sourceMappingURL=progress-dots.js.map