"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var Toast = /** @class */ (function (_super) {
    __extends(Toast, _super);
    function Toast(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            isClosing: false,
            timeoutInterval: null
        };
        return _this;
    }
    Toast.prototype.componentDidMount = function () {
        // Check to see if this is an auto-close Toast
        var timeout = this.props.timeout;
        if (timeout) {
            var timeoutInterval = setTimeout(this.onClose.bind(this), timeout);
            this.setState({ timeoutInterval: timeoutInterval });
        }
    };
    Toast.prototype.onClose = function () {
        var onClose = this.props.onClose;
        var timeoutInterval = this.state.timeoutInterval;
        // Check to see if this notification is already set up to be closed
        // automatically. if it is and the user is pre-emptively closing it,
        // then cancel the timer.
        if (timeoutInterval) {
            clearInterval(timeoutInterval);
        }
        // set thet state to "isClosing" and then kick off a timer for a half second.
        // this allows us to set a classname on the component to animate it out.
        this.setState({ isClosing: true });
        setTimeout(onClose, 500);
    };
    Toast.prototype.render = function () {
        var _a = this.props, children = _a.children, onClose = _a.onClose, className = _a.className, style = _a.style;
        var isClosing = this.state.isClosing;
        var toastClass = classnames('toast', className, { isClosing: isClosing });
        return (React.createElement("div", { className: toastClass, style: style },
            React.createElement("div", { className: "toast-content" }, children),
            onClose ?
                React.createElement("div", { className: "toast-dismiss icon-x", onClick: this.onClose.bind(this) })
                : null));
    };
    return Toast;
}(React.Component));
exports.default = Toast;
//# sourceMappingURL=toast.js.map