"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classnames = require("classnames");
var react_switch_1 = require("react-switch");
var ToggleSwitch = function (props) {
    var onClick = props.onClick, active = props.active, disabled = props.disabled, color = props.color, children = props.children, className = props.className, style = props.style;
    // These give us the option to customize a bit more, but they won't override the defaults for now
    var wrapperClass = classnames('toggle-switch-wrapper');
    var handleStyle = classnames('react-switch-handle', { active: active });
    return (React.createElement("div", { className: wrapperClass, style: style },
        React.createElement(react_switch_1.default, { checked: props.active, className: className, onChange: props.onClick, disabled: disabled, onColor: color ? color : '#0076FF', offColor: '#E5E5E5', handleDiameter: 15, uncheckedIcon: false, checkedIcon: false, height: 17, width: 32, boxShadow: '1px 1px 2px 0 rgba(0,0,0,0.13)', activeBoxShadow: '1px 1px 2px 0 rgba(0,0,0,0.13)' })));
};
exports.default = ToggleSwitch;
//# sourceMappingURL=toggle-switch.js.map